Skip to navigation

Add tabs for recipient

View as Markdown
Adds one or more recipients to a template.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

templateIdstringRequired
The ID of the template.

Query parameters

resend_envelopestringOptional

When true, resends the envelope to the recipients that you specify in the request body. Use this parameter to resend the envelope to a recipient who deleted the original email notification.

Note: Correcting an envelope is a different process. Docusign always resends an envelope when you correct it, regardless of the value that you enter here.

Request

This endpoint expects an object: templateRecipients

agentslist of objectsOptional
A list of agent recipients assigned to the documents.
authorizedSignatorieslist of objectsOptional
carbonCopieslist of objectsOptional
A list of carbon copy recipients assigned to the documents.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions.
editorslist of objectsOptional
A list of users who can edit the envelope.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

notarieslist of objectsOptional
A list of notary recipients on the envelope.
notaryWitnesseslist of objectsOptional
participantslist of objectsOptional
recipientCountstringOptional

The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with:

  • recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded.
  • includeDocuments - When true, the envelope time zone information is included in the message.
sealslist of objectsOptional

Specifies one or more electronic seals to apply on documents. For more information on Electronic Seals , see https://support.docusign.com/s/document-item?bundleId=xcm1643837555908&topicId=isl1578456577247.html

signerslist of objectsOptional
A list of signers on the envelope.
witnesseslist of objectsOptional
A list of signers who act as witnesses on the envelope.

Response

Successful response.
agentslist of objectsOptional
A list of agent recipients assigned to the documents.
authorizedSignatorieslist of objectsOptional
carbonCopieslist of objectsOptional
A list of carbon copy recipients assigned to the documents.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions.
editorslist of objectsOptional
A list of users who can edit the envelope.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

notarieslist of objectsOptional
A list of notary recipients on the envelope.
notaryWitnesseslist of objectsOptional
participantslist of objectsOptional
recipientCountstringOptional
The number of recipients in the envelope.
sealslist of objectsOptional
A list of electronic seals to apply to documents.
signerslist of objectsOptional
A list of signers on the envelope.
witnesseslist of objectsOptional
A list of signers who act as witnesses on the envelope.

Errors

400
Bad Request Error